## postgis 3.0.1+dfsg

=== deps/Makefile ===
#/**********************************************************************
# *
# * PostGIS - Spatial Types for PostgreSQL
# * http://postgis.net
# *
# * PostGIS is free software: you can redistribute it and/or modify
# * it under the terms of the GNU General Public License as published by
# * the Free Software Foundation, either version 2 of the License, or
# * (at your option) any later version.
# *
# * PostGIS is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# * GNU General Public License for more details.
# *
# * You should have received a copy of the GNU General Public License
# * along with PostGIS.  If not, see <http://www.gnu.org/licenses/>.
# *
# **********************************************************************
# *
# * Copyright 2019 Raúl Marín
# *
# **********************************************************************/

CC=gcc
CXX=
CFLAGS=-I../liblwgeom  -I/var/lib/jenkins/workspace/geos/rel-3.6w64/include   -I/usr/include/libxml2 -I/usr/include -I/usr/include/json-c    -Wall -Wmissing-prototypes -std=gnu99 -g -O2 -fno-math-errno -fno-signed-zeros  -fPIC -DPIC
CXXFLAGS=-I../liblwgeom  -I/var/lib/jenkins/workspace/geos/rel-3.6w64/include   -I/usr/include/libxml2 -I/usr/include -I/usr/include/json-c    -Wall -Wmissing-prototypes   -fPIC -DPIC
LDFLAGS = 
top_builddir = ..
libdir = ${exec_prefix}/lib
LIBTOOL = $(SHELL) $(top_builddir)/libtool

all: 

:
	$(MAKE) -C wagyu $@

install:

uninstall:

check check-unit check-regress:

clean:
	$(MAKE) -C wagyu $@

distclean: clean
	$(MAKE) -C wagyu $@
	rm -f Makefile

=== extensions/address_standardizer/Makefile ===
include ../upgradeable_versions.mk
OBJS = \
    address_parser.o \
    address_standardizer.o \
    std_pg_hash.o \
    analyze.o \
    err_param.o \
    export.o \
    gamma.o \
    hash.o \
    lexicon.o \
    pagc_tools.o \
    parseaddress-api.o \
    standard.o \
    tokenize.o

OBJS_test_main = \
    test_main.o \
    analyze.o \
    err_param.o \
    export.o \
    gamma.o \
    hash.o \
    lexicon.o \
    pagc_tools.o \
    standard.o \
    tokenize.o

POSTGIS_PGSQL_VERSION=96
# SQL preprocessor
SQLPP = /usr/bin/cpp -traditional-cpp -w -P
GREP=/bin/grep
EXTVERSION = 3.0.1
MODULE_big = address_standardizer-3
MODULEPATH    = $$libdir/address_standardizer-3
ifeq (no,yes)
MODULE_big = address_standardizer-3.0
MODULEPATH    = $$libdir/address_standardizer-3.0
endif
EXTENSION = address_standardizer
DATA = sql/$(EXTENSION).sql sql/$(EXTENSION)_data_us.sql

DATA_built = \
	$(EXTENSION).control \
	$(EXTENSION)_data_us.control \
	$(NULL)

all:  sql/address_standardizer.sql sql/address_standardizer--1.0--$(EXTVERSION).sql sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--ANY--$(EXTVERSION).sql \
 sql/$(EXTENSION)_data_us.sql sql/address_standardizer--3.0.1.sql sql/$(EXTENSION)_data_us--3.0.1.sql  sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql \
sql/$(EXTENSION)_data_us--$(EXTVERSION)next--$(EXTVERSION).sql \
sql/test-init-extensions.sql sql/test-parseaddress.sql sql/test-standardize_address_1.sql sql/test-standardize_address_2.sql

EXTRA_CLEAN = sql/



DOCS = README.address_standardizer
PG_CPPFLAGS = -std=gnu99 -g -O2 -fno-math-errno -fno-signed-zeros  -I/var/lib/jenkins/workspace/geos/rel-3.6w64/include   -I/usr/include/libxml2 -I/usr/include -I/usr/include/json-c  

SHLIB_LINK =  -L/var/lib/jenkins/workspace/geos/rel-3.6w64/lib -lgeos_c -lproj -ljson-c -lprotobuf-c -lxml2 -L/usr/lib/x86_64-linux-gnu -lSFCGAL -lgmpxx -Wl,--exclude-libs,ALL  
EXTRA_CLEAN = usps-st-city-name.txt mk-st-regexp mk-city-regex test_main
REGRESS = test-init-extensions test-parseaddress test-standardize_address_1 test-standardize_address_2


# Borrow the $libdir substitution from PGXS but customise by running the preprocessor
# and adding the version number
sql/%.sql: %.sql.in
	mkdir -p sql
	$(SQLPP) -I../libpgcommon $< | grep -v '^#' | \
	$(PERL) -lpe "s'MODULE_PATHNAME'\$(MODULEPATH)'g" > $@

%.control: %.control.in Makefile
	cat $< \
		| sed -e 's|@EXTVERSION@|$(EXTVERSION)|g' \
		> $@

sql/address_standardizer--3.0.1.sql: sql/address_standardizer_types.sql \
    sql/address_standardizer_functions.sql
	mkdir -p sql
	cat $^ > $@

sql/address_standardizer.sql: sql/address_standardizer_types.sql \
    sql/address_standardizer_functions.sql
	mkdir -p sql
	cat $^ > $@

sql/address_standardizer--1.0--$(EXTVERSION).sql:  sql/address_standardizer_functions.sql
	mkdir -p sql
	cat $^ > $@

EXTENSION_UPGRADE_SCRIPTS = sql/address_standardizer_functions.sql

# upgrade logic for us data extension (to go to original round-robin yoyo cludge for dev upgrading)
sql/$(EXTENSION)--$(EXTVERSION)next--$(EXTVERSION).sql: sql/address_standardizer_functions.sql
	mkdir -p sql
	cat $^ > $@

# build us data extension
sql/$(EXTENSION)_data_us--$(EXTVERSION).sql: us_lex.sql us_gaz.sql us_rules.sql sql_bits/address_standardizer_data_us_mark_editable_objects.sql.in
	mkdir -p sql
	cat $^ > $@

sql/$(EXTENSION)_data_us.sql: us_lex.sql us_gaz.sql us_rules.sql sql_bits/address_standardizer_data_us_mark_editable_objects.sql.in
	mkdir -p sql
	cat $^ > $@

# upgrade logic for us data extension (to go to next cludge for dev upgrading)
sql/$(EXTENSION)_data_us--$(EXTVERSION)--$(EXTVERSION)next.sql: sql/$(EXTENSION)_data_us--$(EXTVERSION).sql
	mkdir -p sql
	cat $^ > $@

# upgrade logic for us data extension (to go to original round-robin yoyo cludge for dev upgrading)
sql/$(EXTENSION)_data_us--$(EXTVERSION)next--$(EXTVERSION).sql: sql/$(EXTENSION)_data_us--$(EXTVERSION).sql
	mkdir -p sql
	cat $^ > $@


sql/$(EXTENSION)--ANY--$(EXTVERSION).sql: $(EXTENSION_UPGRADE_SCRIPTS)
	cat $(EXTENSION_UPGRADE_SCRIPTS) > $@

include ../upgrade-paths-rules.mk

mk-st-regexp: mk-st-regexp.pl
	$(PERL) -c mk-st-regexp.pl
	rm -f mk-st-regexp
	echo "#! " $(PERL) > mk-st-regexp
	cat mk-st-regexp.pl >> mk-st-regexp
	chmod ugo+x mk-st-regexp

mk-city-regex: mk-city-regex.pl usps-st-city-name.txt
	$(PERL) -c mk-city-regex.pl
	rm -f mk-city-regex
	echo "#! " $(PERL) > mk-city-regex
	cat mk-city-regex.pl >> mk-city-regex
	chmod ugo+x mk-city-regex

usps-st-city-name.txt: usps-st-city-orig.txt usps-st-city-adds.txt
	cat usps-st-city-orig.txt usps-st-city-adds.txt | sort -u >usps-st-city-name.txt

#parseaddress-stcities.h: mk-city-regex
#	./mk-city-regex > parseaddress-stcities.h

#parseaddress-regex.h: mk-st-regexp
#	./mk-st-regexp > parseaddress-regex.h

dist-clean:
	rm -f mk-st-regexp mk-city-regex usps-st-city-name.txt test_main Makefile


test_main: $(OBJS_test_main)
	gcc -o test_main $(OBJS_test_main) $(LDFLAGS) $(LIBS)

test_main.o: test_main.c pagc_api.h pagc_std_api.h

address_parser.o: address_parser.c parseaddress-api.h

address_standardizer.o: address_standardizer.c std_pg_hash.h pagc_api.h pagc_std_api.h

analyze.o: analyze.c pagc_api.h

err_param.o: err_param.c pagc_api.h

export.o: export.c pagc_api.h pagc_tools.h

gamma.o: gamma.c pagc_api.h pagc_std_api.h gamma.h

hash.o: hash.c hash.h khash.h

lexicon.o: lexicon.c pagc_api.h pagc_std_api.h

pagc_tools.o: pagc_tools.c pagc_tools.h pagc_common.h

parseaddress-api.o: parseaddress-api.c parseaddress-api.h parseaddress-stcities.h parseaddress-regex.h

standard.o: standard.c pagc_api.h

tokenize.o: tokenize.c pagc_api.h

std_pg_hash.o: std_pg_hash.c std_pg_hash.h pagc_api.h pagc_std_api.h

#only extension files
DATA += $(wildcard sql/*--*.sql)
EXTRA_CLEAN += sql/*.sql
EXTRA_CLEAN += $(wildcard expected/*--*.out)
EXTRA_CLEAN += sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql
EXTRA_CLEAN += sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql *.a *.so *.dll

distclean: clean
	rm Makefile

PG_CONFIG := /var/lib/jenkins/workspace/pg/rel/pg9.6w64/bin/pg_config
PGXS := /var/lib/jenkins/workspace/pg/rel/pg9.6w64/lib/postgresql/pgxs/src/makefiles/pgxs.mk
include $(PGXS)
PERL = /usr/bin/perl

=== extensions/postgis_raster/Makefile ===
include ../upgradeable_versions.mk

EXTENSION     = postgis_raster
EXTVERSION    = 3.0.1
MINORVERSION  = 3.0
MODULEPATH    = $$libdir/$(EXTENSION)-3

ifeq (no,yes)
MODULEPATH=$$libdir/$(EXTENSION)-$(MINORVERSION)
endif
GREP = /bin/grep

# SQL preprocessor
SQLPP = /usr/bin/cpp -traditional-cpp -w -P

MICRO_NUMBER  = $(shell echo $(EXTVERSION) | \
						$(PERL) -pe 's/\d.\d.(\d+)[a-zA-Z]*\d*/$1/'

PREREL_NUMBER = $(shell echo $(EXTVERSION) | \
                        $(PERL) -pe 's/\d\.\d\.(.*)/\1/' | \
                        $(GREP) "[a-zA-Z]" | \
                        $(PERL) -pe 's/\d+[a-zA-Z]+(\d+)/\1/'

MICRO_PREV    = $(shell if test "$(MICRO_NUMBER)x" != "x"; then expr $(MICRO_NUMBER) - 1; fi)
PREREL_PREV   = $(shell if test "$(PREREL_NUMBER)x" != "x"; then expr $(PREREL_NUMBER) - 1; fi)

PREREL_PREFIX = $(shell echo $(EXTVERSION) | \
                        $(PERL) -pe 's/\d\.\d\.(.*)/\1/' | \
                        $(GREP) "[a-zA-Z]" | \
                        $(PERL) -pe 's/(\d+[a-zA-Z]+)\d*/\1/'

DATA_built = \
	$(EXTENSION).control \
	sql/$(EXTENSION)--$(EXTVERSION).sql \
	sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql \
	$(NULL)

# Scripts making up the extension file
# NOTE: order matters
EXTENSION_SCRIPTS = \
	sql/rtpostgis.sql \
	sql/raster_comments.sql

# Scripts making up the extension minor upgrade file
# NOTE: order matters
EXTENSION_UPGRADE_SCRIPTS = \
	../postgis_extension_helper.sql \
	sql/rtpostgis_upgrade.sql \
	../../doc/raster_comments.sql \
	../postgis_extension_helper_uninstall.sql

# Scripts making up the extension upgrade-from-unpackaged file
# NOTE: order matters
EXTENSION_UNPACKAGED_UPGRADE_SCRIPTS = \
	sql/rtpostgis.sql

EXTRA_CLEAN = sql

CURV_big=30

all: sql/$(EXTENSION)--$(EXTVERSION).sql sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql

sql:
	mkdir -p $@

sql/$(EXTENSION).sql: $(EXTENSION_SCRIPTS) | sql
	printf '\\echo Use "CREATE EXTENSION $(EXTENSION)" to load this file. \\quit\n' > $@
	cat $^ >> $@

$(EXTENSION).control: $(EXTENSION).control.in Makefile
	cat $< \
		| sed -e 's|@EXTVERSION@|$(EXTVERSION)|g' \
		| sed -e 's|@EXTENSION@|$(EXTENSION)|g' \
		| sed -e 's|@MODULEPATH@|$(MODULEPATH)|g' \
		> $@

sql/$(EXTENSION)--$(EXTVERSION).sql: sql/$(EXTENSION).sql | sql
	cp $< $@

sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql: $(EXTENSION_UNPACKAGED_UPGRADE_SCRIPTS) ../../utils/create_unpackaged.pl sql/$(EXTENSION)--ANY--$(EXTVERSION).sql Makefile | sql
	# Ensure version is correct
	cat sql/$(EXTENSION)--ANY--$(EXTVERSION).sql > $@
	cat $(EXTENSION_UNPACKAGED_UPGRADE_SCRIPTS) | $(PERL) ../../utils/create_unpackaged.pl postgis_raster >> $@

unpackaged_check.sql: unpackaged_check.sql.in Makefile
	cat $< \
		| sed -e 's|@EXTVERSION@|$(EXTVERSION)|g' \
		> $@

#strip BEGIN/COMMIT since these are not allowed in extensions
sql/rtpostgis.sql: sql/rtpostgis_for_extension.sql | sql
	$(PERL) -pe 's/BEGIN\;//g ; s/COMMIT\;//g' $< > $@

sql/rtpostgis_for_extension.sql: ../../raster/rt_pg/rtpostgis.sql.in | sql
	$(SQLPP) -I../../postgis/ -I../../ $< | grep -v '^#' | \
	$(PERL) -lpe "s'MODULE_PATHNAME'\$(MODULEPATH)'g" > $@

sql/rtpostgis_upgrade.sql: sql/rtpostgis_upgrade_for_extension.sql | sql
	$(PERL) -pe "s/BEGIN\;//g ; s/COMMIT\;//g; s/^(DROP .*)\;/SELECT postgis_extension_drop_if_exists('$(EXTENSION)', '\1');\n\1\;/" $< > $@

#this keeps the @extschema@. in place since extension machinery will replace during install
sql/rtpostgis_upgrade_for_extension.sql: ../../raster/rt_pg/rtpostgis_upgrade_cleanup.sql sql/rtpostgis_upgrade_for_extension.sql.in ../../raster/rt_pg/rtpostgis_drop.sql | sql
	echo 'BEGIN;' > $@
	cat $^ | sed -e 's/^BEGIN;$$//' -e 's/^COMMIT;$$//' >> $@
	echo 'COMMIT;' >> $@


sql/rtpostgis_upgrade_for_extension.sql.in: sql/rtpostgis_for_extension.sql ../../utils/postgis_proc_upgrade.pl | sql
	$(PERL) ../../utils/postgis_proc_upgrade.pl $< UNUSED > $@


../../doc/raster_comments.sql:
	$(MAKE) -C ../../doc comments

sql/raster_comments.sql: ../../doc/raster_comments.sql | sql
	cp $< $@

sql/$(EXTENSION)--ANY--$(EXTVERSION).sql: $(EXTENSION_UPGRADE_SCRIPTS) | sql
	printf '\\echo Use "CREATE EXTENSION $(EXTENSION)" to load this file. \\quit\n' > $@
	cat $(EXTENSION_UPGRADE_SCRIPTS) >> $@

include ../upgrade-paths-rules.mk

distclean: clean
	rm -f Makefile

PG_CONFIG := /var/lib/jenkins/workspace/pg/rel/pg9.6w64/bin/pg_config
PGXS := /var/lib/jenkins/workspace/pg/rel/pg9.6w64/lib/postgresql/pgxs/src/makefiles/pgxs.mk
include $(PGXS)
PERL = /usr/bin/perl

=== raster/rt_pg/Makefile ===
############################################################################
#
# Copyright (c) 2009-2011 Sandro Santilli <strk@kbt.io>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#############################################################################

MODULE_NAME=postgis_raster

POSTGIS_PGSQL_VERSION=96
MODULE_big=$(MODULE_NAME)-3
MODULEDIR=contrib/postgis-3.0
MODULEPATH    = $$libdir/$(MODULE_NAME)-3

ifeq (no,yes)
MODULEPATH=$$libdir/$(MODULE_NAME)-3.0
MODULE_big=$(MODULE_NAME)-3.0
endif

# Files to be copied to the contrib/ directory
DATA_built=rtpostgis.sql rtpostgis_upgrade.sql rtpostgis_proc_set_search_path.sql uninstall_rtpostgis.sql rtpostgis_legacy.sql
DATA=

# SQL preprocessor
SQLPP = /usr/bin/cpp -traditional-cpp -w -P

# SQL objects (files requiring pre-processing)
SQL_OBJS=rtpostgis.sql rtpostgis_drop.sql rtpostgis_upgrade_cleanup.sql rtpostgis_legacy.sql

# Objects to build using PGXS
OBJS = \
	rtpostgis.o \
	rtpg_internal.o \
	rtpg_legacy.o \
	rtpg_spatial_relationship.o \
	rtpg_mapalgebra.o \
	rtpg_utility.o \
	rtpg_inout.o \
	rtpg_wkb.o \
	rtpg_geometry.o \
	rtpg_raster_properties.o \
	rtpg_band_properties.o \
	rtpg_pixel.o \
	rtpg_create.o \
	rtpg_gdal.o \
	rtpg_statistics.o

# Libraries to link into the module (proj, geos)
#
# Note: we specify liblwgeom.a directly in SHLIB_LINK rather than using
# -L... -l options to prevent issues with some platforms trying to link
# to an existing liblwgeom.so in the PostgreSQL $libdir supplied by an
# older version of PostGIS, rather than with the static liblwgeom.a
# supplied with newer versions of PostGIS
#
LIBLWGEOM_LDFLAGS=../../liblwgeom/.libs/liblwgeom.a
LIBLWGEOM_CFLAGS="-I../../liblwgeom"
LIBPGCOMMON_CFLAGS="-I../../libpgcommon"
LIBPGCOMMON_LDFLAGS=../../libpgcommon/libpgcommon.a
LIBGDAL_CFLAGS=
LIBGDAL_LDFLAGS=
LIBPROJ_CFLAGS=

CC = gcc
PG_CPPFLAGS+= $(LIBLWGEOM_CFLAGS)  -I/var/lib/jenkins/workspace/geos/rel-3.6w64/include   -I/usr/include/libxml2 -I/usr/include -I/usr/include/json-c   -std=gnu99 -g -O2 -fno-math-errno -fno-signed-zeros $(LIBGDAL_CFLAGS) $(LIBPGCOMMON_CFLAGS) $(LIBPROJ_CFLAGS) -I../rt_core
SHLIB_LINK_F = ../rt_core/librtcore.a $(LIBLWGEOM_LDFLAGS) $(LIBPGCOMMON_LDFLAGS) $(LIBGDAL_LDFLAGS)  -L/var/lib/jenkins/workspace/geos/rel-3.6w64/lib -lgeos_c -lproj -ljson-c -lprotobuf-c -lxml2 -L/usr/lib/x86_64-linux-gnu -lSFCGAL -lgmpxx -Wl,--exclude-libs,ALL 

# Extra files to remove during 'make clean'
EXTRA_CLEAN=$(SQL_OBJS) $(DATA_built) rtpostgis_upgrade.sql.in

# PGXS information
PG_CONFIG := /var/lib/jenkins/workspace/pg/rel/pg9.6w64/bin/pg_config
PGXS := /var/lib/jenkins/workspace/pg/rel/pg9.6w64/lib/postgresql/pgxs/src/makefiles/pgxs.mk
# NO_TEMP_INSTALL is a workaround for a 9.5dev bug. See:
# http://www.postgresql.org/message-id/CAB7nPqTsR5o3g-fBi6jbsVdhfPiLFWQ_0cGU5=94Rv_8W3qvFA@mail.gmail.com
NO_TEMP_INSTALL=yes
include $(PGXS)

# Utility rule for use from outside
sql_objs: $(DATA_built)

# Set PERL _after_ the include of PGXS
PERL=/usr/bin/perl

# This is to workaround a bug in PGXS 8.4 win32 link line,
# see http://trac.osgeo.org/postgis/ticket/1158#comment:57
SHLIB_LINK := $(SHLIB_LINK_F) $(SHLIB_LINK)

# If REGRESS=1 passed as a parameter, change the default install paths
# so that no prefix is included. This allows us to relocate to a temporary
# directory for regression testing.
ifeq ($(REGRESS),1)
        bindir=/bin
        pkglibdir=/lib
        datadir=/share
        datamoduledir=contrib/postgis
endif

# Borrow the $libdir substitution from PGXS but customise by running the preprocessor
# and adding the version number
# replace @extschema@. with nothing, this is only used as placeholder for extension install
%.sql: %.sql.in
	$(SQLPP) -I../../postgis/ -I../../ $< | grep -v '^#' | \
	$(PERL) -lpe "s'MODULE_PATHNAME'\$(MODULEPATH)'g;s'@extschema@\.''g" > $@

../../liblwgeom/.libs/liblwgeom.a:
	$(MAKE) -C ../../liblwgeom

../rt_core/librtcore.a:
	$(MAKE) -C ../rt_core

../../libpgcommon/libpgcommon.a:
	$(MAKE) -C ../../libpgcommon

# Objects dependencies
# NOTE: the .a deps are really only link-time dependencies, but at this
#       time I dunno how to wncode those
$(OBJS): ../../liblwgeom/.libs/liblwgeom.a ../rt_core/librtcore.a ../../libpgcommon/libpgcommon.a ../../postgis_config.h ../../postgis_revision.h

# SQL objects deps here
$(SQL_OBJS): ../../postgis/sqldefines.h ../../postgis_revision.h

#this is redundant but trying to fold in with the  other just hangs
rtpostgis_upgrade.sql.in: rtpostgis.sql ../../utils/postgis_proc_upgrade.pl
	$(PERL) ../../utils/postgis_proc_upgrade.pl $< UNUSED > $@

rtpostgis_proc_set_search_path.sql: rtpostgis.sql ../../utils/postgis_proc_set_search_path.pl
	$(PERL) ../../utils/postgis_proc_set_search_path.pl $< UNUSED > $@

rtpostgis_upgrade.sql: rtpostgis_upgrade_cleanup.sql rtpostgis_upgrade.sql.in rtpostgis_drop.sql
	echo 'BEGIN;' > $@
	cat $^ | sed -e 's/^BEGIN;$$//' -e 's/^COMMIT;$$//' >> $@
	echo 'COMMIT;' >> $@

uninstall_rtpostgis.sql: rtpostgis.sql ../../utils/create_undef.pl
	$(PERL) ../../utils/create_undef.pl $< $(POSTGIS_PGSQL_VERSION) > $@

distclean: clean
	rm -f Makefile

=== doc/po/ko_KR/Makefile ===
DOCSUFFIX=-ko_KR
include ../Makefile.local

=== debian/changelog ===
postgis (3.0.1+dfsg-4.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 03 May 2020 15:36:15 +0200

postgis (3.0.1+dfsg-4) unstable; urgency=medium

  * Add patch to fix test failure with PROJ 7.0.1.
    (closes: #959563)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 May 2020 15:36:15 +0200

postgis (3.0.1+dfsg-3) unstable; urgency=medium

  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Add upstream patch to fix FTBFS with GCC 10.
    (closes: #957699)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 17 Apr 2020 21:21:56 +0200

postgis (3.0.1+dfsg-2) unstable; urgency=medium

  * Add upstream patch to fix FTBFS with PROJ 7.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Mar 2020 07:02:35 +0100

postgis (3.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    (closes: #949426)
  * Don't hardcode test exit status for failures.
  * Don't bother with autopkgtest on problematic architectures.
    (closes: #949026)
  * Update update metadata for move to git.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update watch file for 3.0.x. releases.
  * Update upstream branch in gbp.conf.
  * Disable automatic updates of postgis_revision.h.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 23 Feb 2020 07:59:09 +0100

=== debian/control ===
Source: postgis
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Stephen Frost <sfrost@debian.org>,
           Francesco Paolo Lovergine <frankie@debian.org>,
           Markus Wanner <markus@bluegap.ch>,
           Bas Couwenberg <sebastic@debian.org>,
           Christoph Berg <myon@debian.org>
Section: misc
Priority: optional
Build-Depends: autoconf2.13,
               bison,
               dctrl-tools,
               dblatex,
               debhelper (>= 10~),
               docbook,
               docbook-xsl,
               dpkg-dev (>= 1.16.1~),
               flex,
               imagemagick,
               libcunit1-dev,
               libgdal-dev (>= 1.11.2+dfsg-3~) | libgdal1-dev (>= 1.9.0~),
               libgeos-dev (>= 3.6),
               libgtk2.0-dev,
               libjson-c-dev | libjson0-dev (>= 0.9~),
               libproj-dev (>= 4.6.0),
               libprotobuf-c-dev,
               libsfcgal-dev (>= 1.3.1) [!armel !armhf],
               libxml2-dev (>= 2.5.0~),
               lsb-release,
               po-debconf,
               postgresql-all,
               postgresql-common (>= 148~),
               postgresql-server-dev-all,
               protobuf-c-compiler,
               rdfind,
               xsltproc
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/postgis
Vcs-Git: https://salsa.debian.org/debian-gis-team/postgis.git
Homepage: http://postgis.net/

Package: postgis
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: postgresql-12-postgis-3,
            postgis-doc
Suggests: postgis-gui
Description: Geographic objects support for PostgreSQL
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the PostGIS userland binaries for importing and
 exporting shape and raster files: pgsql2shp, raster2pgsql, and shp2pgsql.

Package: postgis-gui
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: postgresql-12-postgis-3,
            postgis-doc
Suggests: postgis
Breaks: postgis (<< 2.2.2+dfsg-2~)
Replaces: postgis (<< 2.2.2+dfsg-2~)
Description: Geographic objects support for PostgreSQL -- GUI programs
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the PostGIS graphical shape file loader,
 shp2pgsql-gui.

Package: postgis-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: postgis
Description: Geographic objects support for PostgreSQL -- documentation
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the PostGIS documentation.

Package: postgresql-9.5-postgis-3
Architecture: any
Depends: postgresql-9.5,
         postgresql-9.5-postgis-3-scripts,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: postgis
Breaks: postgis (<< 1.2.1)
Provides: postgresql-9.5-postgis,
          postgresql-postgis
Description: Geographic objects support for PostgreSQL 9.5
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 To create the PostGIS extensions in a PostgreSQL 9.5 database, the
 postgresql-9.5-postgis-3-scripts package must be installed as well.

Package: postgresql-9.5-postgis-3-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends},
         ${misc:Depends}
Recommends: postgresql-9.5-postgis-3
Provides: postgresql-9.5-postgis-scripts,
          postgresql-postgis-scripts
Replaces: postgresql-9.5-postgis-scripts (<< 2.2.2+dfsg-3~)
Description: Geographic objects support for PostgreSQL 9.5 -- SQL scripts
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the SQL scripts for installing PostGIS in a PostgreSQL
 9.5 database, and for upgrading from earlier PostGIS versions.

Package: postgresql-9.6-postgis-3
Architecture: any
Depends: postgresql-9.6,
         postgresql-9.6-postgis-3-scripts,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: postgis
Breaks: postgis (<< 1.2.1)
Provides: postgresql-9.6-postgis,
          postgresql-postgis
Description: Geographic objects support for PostgreSQL 9.6
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 To create the PostGIS extensions in a PostgreSQL 9.6 database, the
 postgresql-9.6-postgis-3-scripts package must be installed as well.

Package: postgresql-9.6-postgis-3-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends},
         ${misc:Depends}
Recommends: postgresql-9.6-postgis-3
Provides: postgresql-9.6-postgis-scripts,
          postgresql-postgis-scripts
Replaces: postgresql-9.6-postgis-scripts (<< 2.2.2+dfsg-3~)
Description: Geographic objects support for PostgreSQL 9.6 -- SQL scripts
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the SQL scripts for installing PostGIS in a PostgreSQL
 9.6 database, and for upgrading from earlier PostGIS versions.

Package: postgresql-10-postgis-3
Architecture: any
Depends: postgresql-10,
         postgresql-10-postgis-3-scripts,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: postgis
Breaks: postgis (<< 1.2.1)
Provides: postgresql-10-postgis,
          postgresql-postgis
Description: Geographic objects support for PostgreSQL 10
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 To create the PostGIS extensions in a PostgreSQL 10 database, the
 postgresql-10-postgis-3-scripts package must be installed as well.

Package: postgresql-10-postgis-3-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends},
         ${misc:Depends}
Recommends: postgresql-10-postgis-3
Provides: postgresql-10-postgis-scripts,
          postgresql-postgis-scripts
Replaces: postgresql-10-postgis-scripts (<< 2.2.2+dfsg-3~)
Description: Geographic objects support for PostgreSQL 10 -- SQL scripts
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the SQL scripts for installing PostGIS in a PostgreSQL
 10 database, and for upgrading from earlier PostGIS versions.

Package: postgresql-11-postgis-3
Architecture: any
Depends: postgresql-11,
         postgresql-11-postgis-3-scripts,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: postgis
Breaks: postgis (<< 1.2.1)
Provides: postgresql-11-postgis,
          postgresql-postgis
Description: Geographic objects support for PostgreSQL 11
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 To create the PostGIS extensions in a PostgreSQL 11 database, the
 postgresql-11-postgis-3-scripts package must be installed as well.

Package: postgresql-11-postgis-3-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends},
         ${misc:Depends}
Recommends: postgresql-11-postgis-3
Provides: postgresql-11-postgis-scripts,
          postgresql-postgis-scripts
Replaces: postgresql-11-postgis-scripts (<< 2.2.2+dfsg-3~)
Description: Geographic objects support for PostgreSQL 11 -- SQL scripts
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 This package contains the SQL scripts for installing PostGIS in a PostgreSQL
 11 database, and for upgrading from earlier PostGIS versions.

Package: postgresql-12-postgis-3
Architecture: any
Depends: postgresql-12,
         postgresql-12-postgis-3-scripts,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: postgis
Breaks: postgis (<< 1.2.1)
Provides: postgresql-12-postgis,
          postgresql-postgis
Description: Geographic objects support for PostgreSQL 12
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"
 the PostgreSQL server, allowing it to be used as a backend spatial
 database for geographic information systems (GIS), much like ESRI's
 SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
 "Simple Features Specification for SQL".
 .
 To create the PostGIS extensions in a PostgreSQL 12 database, the
 postgresql-12-postgis-3-scripts package must be installed as well.

Package: postgresql-12-postgis-3-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends},
         ${misc:Depends}
Recommends: postgresql-12-postgis-3
Provides: postgresql-12-postgis-scripts,
          postgresql-postgis-scripts
Replaces: postgresql-12-postgis-scripts (<< 2.2.2+dfsg-3~)
Description: Geographic objects support for PostgreSQL 12 -- SQL scripts
 PostGIS adds support for geographic objects to the PostgreSQL
 object-relational database. In effect, PostGIS "spatially enables"

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Disable PIE on Ubuntu xenial (causes "undefined reference to symbol 'roundf@@GLIBC_2.2.5'")
VENDOR_DERIVES_FROM_UBUNTU ?= $(shell dpkg-vendor --derives-from Ubuntu && echo yes)
DISTRIBUTION_RELEASE       := $(shell lsb_release -cs)

ifeq ($(VENDOR_DERIVES_FROM_UBUNTU),yes)
  ifneq (,$(filter $(DISTRIBUTION_RELEASE),xenial))
    export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
  endif
endif

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

# Magic to automatically create a debian/control file for the (or all)
# supported versions of Postgres.
#
# Blatantly copied from
# /usr/share/postgresql-common/pgxs_debian_control.mk and extended to
# support NEWEST_VERSION and fiddle with postgis 2.0 transitional
# packages.
debian/control: debian/control.in debian/pgversions
	(set -e; \
	VERSIONS=`pg_buildext supported-versions $(CURDIR)` || exit $$?; \
	NEWEST_VERSION=`pg_buildext supported-versions $(CURDIR) | tail -1` || exit $$?; \
	grep-dctrl -vP PGVERSION $< \
		| sed -e "s:NEWEST_PGVERSION:$$NEWEST_VERSION:" > $@.pgxs_tmp; \
	for v in $$VERSIONS; do \
		grep-dctrl -P PGVERSION $< \
			| sed -e "s:PGVERSION:$$v:" >> $@.pgxs_tmp; \
	done; \
	mv $@.pgxs_tmp $@) || (rm -f $@.pgxs_tmp; exit 1)

# Upstream version (including ~rcN) for symbols version
UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

MAJOR_VERSION = $(shell grep ^POSTGIS_MAJOR_VERSION Version.config | cut -d= -f2)
MINOR_VERSION = $(shell grep ^POSTGIS_MINOR_VERSION Version.config | cut -d= -f2)
MICRO_VERSION = $(shell grep ^POSTGIS_MICRO_VERSION Version.config | cut -d= -f2)
POSTGIS_VERSION = $(MAJOR_VERSION).$(MINOR_VERSION).$(MICRO_VERSION)
ifeq ($(POSTGIS_VERSION),..)
$(error Cannot detect Postgis version, fix debian/rules)
endif

# For the Postgres APT repository, we want to support multiple
# Postgres versions. However, docs and the JDBC jar only need to be
# built once - in the main directory.
NEWEST_POSTGRES_VERSION = $(shell pg_buildext supported-versions $(CURDIR) | tail -1)
ifeq ($(NEWEST_POSTGRES_VERSION),)
$(error Cannot detect Postgres version, check debian/pgversions and pg_buildext)
endif

OTHER_POSTGRES_VERSIONS = $(shell pg_buildext supported-versions $(CURDIR) \
	| grep -v "$(NEWEST_POSTGRES_VERSION)")

COMMON_CONFIGURE_ARGS = --host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--exec-prefix=\$${prefix} \
	--docdir=\$${prefix}/share/doc \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--without-interrupt-tests \
	--without-phony-revision \
	--with-gui

NJOBS := -j1
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
NJOBS := -j$(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_clean: debian/control
#	Clean all separate build directories.
	(set -ex; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		rm -rf $(CURDIR)/debian/build-$$PGVER; \
	done)

	[ ! -f GNUmakefile ] || $(MAKE) $(NJOBS) distclean || true
	[ ! -f GNUmakefile ] || $(MAKE) $(NJOBS) -C doc images-clean || true

#	Cleanup after the Makefile
	rm -f postgis/postgis_upgrade_20_minor.sql.in \
		raster/rt_pg/rtpostgis_drop.sql \
		raster/rt_pg/rtpostgis_upgrade_cleanup.sql

#	Cleanup auto-generated packaging control files
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*.install
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*-scripts.install
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*-scripts.postinst
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*-scripts.preinst
	rm -f $(CURDIR)/debian/postgresql-*-postgis-*-scripts.prerm
	rm -f loader/cunit/cu_tester
	rm -rf liblwgeom/cunit/.libs

override_dh_auto_configure:
#	Copy sources required to build extensions for all but the most
#	recent Postgres version. Unfortunately, Postgis doesn't support
#	vpath builds.
	(set -ex; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		mkdir $(CURDIR)/debian/build-$$PGVER; \
		for FILE in `ls $(CURDIR) | grep -v debian`; do \
			cp -a $$FILE $(CURDIR)/debian/build-$$PGVER; \
		done; \
	done)

#	PostGIS for the most recent PostgreSQL version
	@echo " ### configuring $(NEWEST_POSTGRES_VERSION) ###"
	./configure $(COMMON_CONFIGURE_ARGS) \
		--datadir=\$${prefix}/share/postgresql-$(NEWEST_POSTGRES_VERSION)-postgis \
		--with-pgconfig=/usr/lib/postgresql/$(NEWEST_POSTGRES_VERSION)/bin/pg_config

#	PostGIS for all older Postgres versions
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo " ### configuring $$PGVER ###"; \
		cd $(CURDIR)/debian/build-$$PGVER; \
		./configure $(COMMON_CONFIGURE_ARGS) \
			--datadir=\$${prefix}/share/postgresql-$$PGVER-postgis \
			--with-pgconfig=/usr/lib/postgresql/$$PGVER/bin/pg_config; \
	done)

override_dh_auto_build:
#	Create debhelper files for each Postgres major version
	(set -ex; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS) $(NEWEST_POSTGRES_VERSION); do \
		for SUFFIX in .install -scripts.install -scripts.postinst -scripts.preinst -scripts.prerm; do \
			cat $(CURDIR)/debian/postgresql-generic-postgis$$SUFFIX.in \
				| sed -e "s/@PGVERSION@/$$PGVER/g" \
				> $(CURDIR)/debian/postgresql-$$PGVER-postgis-$(MAJOR_VERSION)$$SUFFIX; \
		done \
	done)

#	Build against the newest Postgres version
	@echo " ### building $(NEWEST_POSTGRES_VERSION) ###"
	$(MAKE) $(NJOBS)
	$(MAKE) $(NJOBS) -C doc

#	Build against all other Postgres versions
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo " ### building $$PGVER ###"; \
		$(MAKE) $(NJOBS) -C $(CURDIR)/debian/build-$$PGVER; \
	done)

#	Let PostGIS create a perl script from postgis_restore.pl.in
	$(MAKE) $(NJOBS) -C utils

#	Create a few SQL scripts that the Makefiles are not clever enough
#	to resolve, when building arch-indep only.
	$(MAKE) $(NJOBS) -C postgis postgis.sql postgis_upgrade.sql
	$(MAKE) $(NJOBS) -C raster/rt_pg rtpostgis.sql rtpostgis_upgrade.sql
	$(MAKE) $(NJOBS) -C topology topology.sql topology_upgrade.sql

#	This creates the required SQL scripts. Again, the Makefile is not
#	clever enough to run this before 'install'.
	$(MAKE) $(NJOBS) -C extensions

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#   Run unit tests (against the newest Postgres version, first)
	echo " ### testing $(NEWEST_POSTGRES_VERSION) ###"
# Ignore test failure on problematic architectures
ifneq (,$(filter $(DEB_BUILD_ARCH),mips mips64el mipsel s390x alpha hppa hurd-i386 kfreebsd-i386 powerpc ppc64 sparc64))
	pg_virtualenv -v $(NEWEST_POSTGRES_VERSION) \
		make check RUNTESTFLAGS="-v" || echo "Ignoring test failures"
else
	pg_virtualenv -v $(NEWEST_POSTGRES_VERSION) \
		make check RUNTESTFLAGS="-v"
endif

#	Test against all other Postgres versions
ifneq (,$(filter $(DEB_BUILD_ARCH),mips mips64el mipsel s390x alpha hppa hurd-i386 kfreebsd-i386 powerpc ppc64 sparc64))
	set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo " ### testing $$PGVER ###"; \
		pg_virtualenv -v $$PGVER \
			make -C $(CURDIR)/debian/build-$$PGVER check RUNTESTFLAGS="-v" || echo "Ignoring test failures"; \
	done
else
	set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \
		echo " ### testing $$PGVER ###"; \
		pg_virtualenv -v $$PGVER \
			make -C $(CURDIR)/debian/build-$$PGVER check RUNTESTFLAGS="-v"; \
	done
endif
endif

override_dh_auto_install:
#	Install the most recent Postgres version. Note that we used to
#	install only utils and extensions. However, there are sql scripts
#	in postgis, raster and topology as well, which need to be
#	installed for the -scripts package(s).
	$(MAKE) $(NJOBS) install DESTDIR=$(CURDIR)/debian/tmp

#	Install all older Postgres versions.
	(set -e; \
	for PGVER in $(OTHER_POSTGRES_VERSIONS); do \

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,\
repacksuffix=+dfsg \
https://download.osgeo.org/postgis/source/ \
(?:.*/|)postgis[\-\._]?(3\.0\.\d+(?:(?:RC|rc|pre|dev|beta|alpha|b|a)\d+)?)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
